Qt 5.13 | Qt 3D | QML Types | MouseHandler QML Type

Qt 5.13.2 Reference Documentation

# MouseHandler QML Type

Provides mouse event notification. More...

Import Statement: | import Qt3D.Input 2.13
Since: | Qt 5.5

- List of all members, including inherited members

## Properties

- containsMouse : bool
- sourceDevice : MouseDevice

## Signals

- clicked(mouse)
- doubleClicked(mouse)
- entered()
- exited()
- positionChanged(mouse)
- pressAndHold(mouse)
- pressed(mouse)
- released(mouse)
- wheel(mouse)

## Detailed Description

See also MouseDevice and MouseEvent.

## Property Documentation

[read-only] containsMouse : bool

Holds `true` if the QMouseHandler currently contains the mouse.

sourceDevice : MouseDevice

Holds the current mouse source device of the MouseHandler instance.

## Signal Documentation

clicked(mouse)

This signal is emitted when a mouse button is clicked with the event details being contained within mouse

doubleClicked(mouse)

This signal is emitted when a mouse button is double clicked with the event details being contained within mouse

entered()

exited()

positionChanged(mouse)

This signal is emitted when the mouse position changes with the event details being contained within mouse

pressAndHold(mouse)

This signal is emitted when a mouse button is pressed and held down with the event details being contained within mouse

pressed(mouse)

This signal is emitted when a mouse button is pressed with the event details being contained within mouse

released(mouse)

This signal is emitted when a mouse button is released with the event details being contained within mouse

wheel(mouse)

This signal is emitted when the mouse wheel is used with the event details being contained within wheel